Bug 17107 - Add ident and Identifier-standard to known indexes
Summary: Add ident and Identifier-standard to known indexes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-11 09:47 UTC by Fridolin Somers
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17107 - Add ident and Identifier-standard to known indexes (1.26 KB, patch)
2016-08-11 09:53 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 17107 - Add ident and Identifier-standard to known indexes (1.27 KB, patch)
2016-08-11 10:00 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 17107 - Add ident and Identifier-standard to known indexes (1.34 KB, patch)
2016-08-12 13:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2016-08-11 09:47:03 UTC
Add ident and Identifier-standard to known indexes in C4::Search::getIndexes().

Those indexes can be very useful, for example for IdRef feature.
Comment 1 Fridolin Somers 2016-08-11 09:53:00 UTC Comment hidden (obsolete)
Comment 2 Fridolin Somers 2016-08-11 10:00:41 UTC Comment hidden (obsolete)
Comment 3 Christophe Brocquet 2016-08-11 20:24:02 UTC
It works as described
Comment 4 Jonathan Druart 2016-08-12 13:01:35 UTC
Created attachment 54375 [details] [review]
Bug 17107 - Add ident and Identifier-standard to known indexes

Add ident and Identifier-standard to known indexes in C4::Search::getIndexes().
Those indexes can be very useful, for example for IdRef feature.

Test plan :
- Make sure some records have a field indexed with Identifier-standard, ISBN=1234 for example
- Perform a search /cgi-bin/koha/opac-search.pl?idx=ident,phr&q=1234
=> you find the record
- Perform a search /cgi-bin/koha/opac-search.pl?q=ident:1234
=> Without patch : you get no results
=> With patch    : you find the record
Idem for 'Identifier-standard'

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-08-18 16:06:07 UTC
Pushed to master for 16.11, thanks Frido!
Comment 6 Frédéric Demians 2016-08-23 10:41:34 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 7 Julian Maurice 2016-08-24 10:45:21 UTC
Pushed to 3.22.x, will be in 3.22.10